using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class CameraFollow : MonoBehaviour
{
    public GameObject camera;
    public GameObject target;
    public float speed;
    public float YOffset;

    private void MoveCamera()
    {
        Vector3 newPosition = camera.transform.position;
        newPosition.y = target.transform.position.y + YOffset;

        transform.position = Vector3.Lerp(transform.position, newPosition, speed * Time.deltaTime);
    }

    void Update()
    {
        if(target.transform.position.y > transform.position.y - 2)
        {
            MoveCamera();
        }
    }
}
