using FalcoEngine;

public class FollowScript : MonoBehaviour
{
    public GameObject target;

    public bool followSize = false;
    public bool followRotation = false;

    public bool hasXOffset;
    public bool hasYOffset;
    public bool hasZOffset;

    public float XOffset;
    public float YOffset;
    public float ZOffset;

    void Update()
    {
        if (hasXOffset == true)
        {
            transform.position = new Vector3(target.transform.position.x + XOffset, target.transform.position.y, target.transform.position.z);
        }

        else if (hasYOffset == true)
        {
            transform.position = new Vector3(target.transform.position.x, target.transform.position.y + YOffset, target.transform.position.z);
        }

        else if (hasZOffset == true)
        {
            transform.position = new Vector3(target.transform.position.x, target.transform.position.y, target.transform.position.z + ZOffset);
        }

        if (!hasXOffset && !hasYOffset && !hasZOffset)
        {
            transform.position = target.transform.position;
        }
        if (followRotation)
        {
            transform.rotation = target.transform.rotation;
        }

        if (followSize == true)
        {
            this.gameObject.transform.scale = target.transform.localScale;
        }
    }
}
